Codit: Batch Operations is for Drupal developers to easily invoke batch
operations in hook_update_n, Drush Deploy hooks, or scripts run with drush.

**This module is not feature complete yet.** It is not fully operational at this
time. An alpha release will be made once all issues marked 'critical' are
completed.

## Features
- Baked-in reporting of operations performed in the batch into a BatchOpLog
  entity
- Custom batch process scripts live in a local/custom module
- Batch Operation scripts can be used the same way in:
   - hook_update_n()
   - post_update functions
   - drush deploy and post-deploy functions
   - in terminal with calls to drush scr
   - Drush command to execute scripts (coming soon)
- Optional UI to run Batch Operation scripts (coming soon)



## Post-Installation

  - Assign any roles to the permission to manage the configuration
  - Visit /admin/config/system/batch_operations and set the following
     - The machine name of the local module that will contain the scripts.
     - The user id of the user that will get named in entity saves.

## Additional Requirements
None

## Recommended modules/libraries
None

## Similar projects
None
## Examples

- Basic script showing required interface methods.
  https://git.drupalcode.org/project/codit_batch_operations/-/blob/1.0.x/src/cbo_scripts/TestDo10Things.php
